{if isset($products)}
<div id="products_block_center">
	<!-- Products list -->
	{assign var='liHeight' value=342}
	{assign var='nbItemsPerLine' value=2}
	{assign var='nbLi' value=$products|@count}
	{math equation="nbLi/nbItemsPerLine" nbLi=$nbLi nbItemsPerLine=$nbItemsPerLine assign=nbLines}
	{math equation="nbLines*liHeight" nbLines=$nbLines|ceil liHeight=$liHeight assign=ulHeight}
	<ul id="product_list">
	{foreach from=$products item=product name=products}
		{assign var='mod' value=($smarty.foreach.products.total % $nbItemsPerLine)}
			{if $mod == 0}{$mod = ($mod + 2)}{/if}
				<li class="ajax_block_product {if $smarty.foreach.products.first}first_item{elseif $smarty.foreach.products.last}last_item{else}item{/if} {if $smarty.foreach.products.iteration%$nbItemsPerLine == 0}last_item_of_line{elseif $smarty.foreach.products.iteration%$nbItemsPerLine == 1}clear{/if} {if $smarty.foreach.products.iteration > ($smarty.foreach.products.total - $mod)}last_line{/if}">
			<div class="left_block">
				<a href="{$product.link|escape:'htmlall':'UTF-8'}" class="product_img_link" title="{$product.name|escape:'htmlall':'UTF-8'}"><img src="{$link->getImageLink($product.link_rewrite, $product.id_image, 'home')}" alt="{$product.legend|escape:'htmlall':'UTF-8'}" {if isset($homeSize)} width="{$homeSize.width}" height="{$homeSize.height}"{/if} />
				<div class="product_status_container">
				{if isset($product.new) && $product.new == 1 && !(isset($product.reduction) && $product.reduction || isset($product.on_sale) && $product.on_sale)}<span class="new">{l s='New'}</span>{/if}
				{if isset($product.reduction) && $product.reduction || isset($product.on_sale) && $product.on_sale && isset($product.show_price) && $product.show_price && !$PS_CATALOG_MODE}<span class="on_sale">{l s='On sale'}</span>{/if}
				{if isset($product.online_only) && $product.online_only}<span class="online_only">{l s='Online only'}</span>{/if}
				</div>
				</a>
				{if isset($product.available_for_order) && $product.available_for_order && !isset($restricted_country_mode)}<p class="availability_container"><span class="availability">{if ($product.allow_oosp || $product.quantity > 0)}{l s='Available'}{elseif (isset($product.quantity_all_versions) && $product.quantity_all_versions > 0)}{l s='Product available with different options'}</span>{else}<span class="out_of_stock">{l s='Out of stock'}{/if}</span></p>{/if}
				{if isset($comparator_max_item) && $comparator_max_item}
					<p class="compare"><input type="checkbox" class="comparator" id="comparator_item_{$product.id_product}" value="comparator_item_{$product.id_product}" {if isset($compareProducts) && in_array($product.id_product, $compareProducts)}checked{/if}/> <label for="comparator_item_{$product.id_product}">{l s='Select to compare'}</label></p>
				{/if}	
			</div>																				 
			<div class="right_block">
				{if (!$PS_CATALOG_MODE AND ((isset($product.show_price) && $product.show_price) || (isset($product.available_for_order) && $product.available_for_order)))}
					<h3><a href="{$product.link|escape:'htmlall':'UTF-8'}" title="{$product.name|escape:'htmlall':'UTF-8'}">{$product.name|truncate:28:'...'|escape:'htmlall':'UTF-8'}</a></h3>
					{if isset($product.show_price) && $product.show_price && !isset($restricted_country_mode)}<p class="price_container"><span class="price" style="display: inline;">{if !$priceDisplay}{convertPrice price=$product.price}{else}{convertPrice price=$product.price_tax_exc}{/if}</span></p>{/if}
					<div class="product_desc"><p>{$product.description_short|truncate:124:'...'|strip_tags:'UTF-8'}</p></div>
				{/if}
				{if ($product.id_product_attribute == 0 || (isset($add_prod_display) && ($add_prod_display == 1))) && $product.available_for_order && !isset($restricted_country_mode) && $product.minimal_quantity <= 1 && $product.customizable != 2 && !$PS_CATALOG_MODE}
					{if ($product.allow_oosp || $product.quantity > 0)}
						<a class="button ajax_add_to_cart_button exclusive" rel="ajax_id_product_{$product.id_product|intval}" href="{$link->getPageLink('cart.php')}?add&amp;id_product={$product.id_product|intval}{if isset($static_token)}&amp;token={$static_token}{/if}" title="{l s='Add to cart'}">{l s='Add to cart'}</a>
					{else}
							<span class="exclusive">{l s='Add to cart'}</span>
					{/if}
				{/if}			
			</div>
			{if !($smarty.foreach.products.iteration > ($smarty.foreach.products.total - $mod))}<hr class="dotted">{/if}
		</li>
	{/foreach}
	</ul>
</div>
	<!-- /Products list -->
{/if}
