{include file="$tpl_dir./breadcrumb.tpl"}
{include file="$tpl_dir./errors.tpl"}

{if isset($category)}
	{if $category->id AND $category->active}
		
		{strip}
		<h1>
		<span>
			{$category->name|escape:'htmlall':'UTF-8'}
		</h1>
		</span>
		{/strip}
		
		{if $scenes}
			<!-- Scenes -->
			{include file="$tpl_dir./scenes.tpl" scenes=$scenes}
		{/if}

		{if isset($subcategories)}
		<!-- Subcategories -->
		<div id="subcategories">
			{assign var='nbItemsPerLine' value=3}
			{assign var='nbLi' value=$subcategories|@count}
			{math equation="nbLi/nbItemsPerLine" nbLi=$nbLi nbItemsPerLine=$nbItemsPerLine assign=nbLines}
			<ul class="inline_list">
			{foreach from=$subcategories item=subcategory name=subcategories}
			{assign var='mod' value=($smarty.foreach.subcategories.total % $nbItemsPerLine)}
			{if $mod == 0}{$mod = ($mod + 3)}{/if}
				<li class="subcategory {if $smarty.foreach.subcategories.iteration%$nbItemsPerLine == 0}last_item_of_line{/if}">
					<a href="{$link->getCategoryLink($subcategory.id_category, $subcategory.link_rewrite)|escape:'htmlall':'UTF-8'}" title="{$subcategory.name|escape:'htmlall':'UTF-8'}">
						{if $subcategory.id_image}
							{assign var='largeSize' value=Image::getSize('large')}
							<img src="{$link->getCatImageLink($subcategory.link_rewrite, $subcategory.id_image, 'large')}" alt="" width="{$largeSize.width}" height="{$largeSize.height}" />
						{else}
							<img src="{$img_cat_dir}default-large.jpg" alt="" width="{$largeSize.width}" height="{$largeSize.height}" />
						{/if}
					</a><br />
					<div class="subcategory_name_wrapper"><a href="{$link->getCategoryLink($subcategory.id_category, $subcategory.link_rewrite)|escape:'htmlall':'UTF-8'}">{$subcategory.name|escape:'htmlall':'UTF-8'}</a></div>
				{if !($smarty.foreach.subcategories.iteration > ($smarty.foreach.subcategories.total - $mod))}<hr class="dotted">{/if}
				</li>
			{/foreach}
			</ul>
			<br class="clear"/>
		</div>
		{if $products}<div class="dotted_wrapper_small"><hr class="dotted"></div>{/if}
		{/if}

		{if $products}
				<div class="product_management_wrapper clearfix">
				{strip}
				<p class="category-product-count">
				{include file="$tpl_dir./category-count.tpl"}
				</p>
				{/strip}
				{include file="$tpl_dir./product-compare.tpl"}
				{include file="$tpl_dir./product-sort.tpl"}
				</div>
				{include file="$tpl_dir./product-list.tpl" products=$products}
				<div class="product_management_wrapper clearfix">
				{if ($nb_products > $n || $comparator_max_item)}
				<div class="dotted_wrapper_small"><hr class="dotted"></div>
				{/if}
				{include file="$tpl_dir./product-compare.tpl"}
				{include file="$tpl_dir./pagination.tpl"}
				</div>
			{elseif !isset($subcategories)}
				<p class="warning">{l s='There are no products in this category.'}</p>
			{/if}
	{elseif $category->id}
		<p class="warning">{l s='This category is currently unavailable.'}</p>
	{/if}
{/if}