<!-- MODULE Home Featured Products -->
<div id="featured-products_block_center" class="block products_block">
	<h4><span>{l s='Featured products' mod='homefeatured'}</span></h4>
	{if isset($products) AND $products}
			{assign var='liHeight' value=342}
			{assign var='nbItemsPerLine' value=2}
			{assign var='nbLi' value=$products|@count}
			{math equation="nbLi/nbItemsPerLine" nbLi=$nbLi nbItemsPerLine=$nbItemsPerLine assign=nbLines}
			{math equation="nbLines*liHeight" nbLines=$nbLines|ceil liHeight=$liHeight assign=ulHeight}
			<ul>
			{foreach from=$products item=product name=homeFeaturedProducts}
			{assign var='mod' value=($smarty.foreach.homeFeaturedProducts.total % $nbItemsPerLine)}
			{if $mod == 0}{$mod = ($mod + 2)}{/if}
				<li class="ajax_block_product {if $smarty.foreach.homeFeaturedProducts.first}first_item{elseif $smarty.foreach.homeFeaturedProducts.last}last_item{else}item{/if} {if $smarty.foreach.homeFeaturedProducts.iteration%$nbItemsPerLine == 0}last_item_of_line{elseif $smarty.foreach.homeFeaturedProducts.iteration%$nbItemsPerLine == 1}clear{/if} {if $smarty.foreach.homeFeaturedProducts.iteration > ($smarty.foreach.homeFeaturedProducts.total - $mod)}last_line{/if}">
					<div class="product_image_block">
						<a href="{$product.link}" title="{$product.name|escape:html:'UTF-8'}" class="product_image"><img src="{$link->getImageLink($product.link_rewrite, $product.id_image, 'home')}" height="{$homeSize.height}" width="{$homeSize.width}" alt="{$product.name|escape:html:'UTF-8'}" />
						<div class="product_status_container">
						{if isset($product.new) && $product.new == 1 && !(isset($product.reduction) && $product.reduction || isset($product.on_sale) && $product.on_sale)}<span class="new">{l s='New' mod='homefeatured'}</span>{/if}
						{if isset($product.reduction) && $product.reduction || isset($product.on_sale) && $product.on_sale && isset($product.show_price) && $product.show_price && !$PS_CATALOG_MODE}<span class="on_sale">{l s='On sale' mod='homefeatured'}</span>{/if}
						{if isset($product.online_only) && $product.online_only}<span class="online_only">{l s='Online only' mod='homefeatured'}</span>{/if}
						</div>
						</a>
					</div>
					<div class="product_right_block">
						<h5><a href="{$product.link}" title="{$product.name|escape:'htmlall':'UTF-8'}">{$product.name|truncate:48:'...'|escape:'htmlall':'UTF-8'}</a></h5>
						{if $product.show_price AND !isset($restricted_country_mode) AND !$PS_CATALOG_MODE}<p class="price_container"><span class="price">{if !$priceDisplay}{convertPrice price=$product.price}{else}{convertPrice price=$product.price_tax_exc}{/if}</span></p>{else}<div style="height:21px;"></div>{/if}
						<div class="product_desc"><p>{$product.description_short|strip_tags|truncate:154:'...'}</p></div>
							{if ($product.id_product_attribute == 0 OR (isset($add_prod_display) AND ($add_prod_display == 1))) AND $product.available_for_order AND !isset($restricted_country_mode) AND $product.minimal_quantity == 1 AND $product.customizable != 2 AND !$PS_CATALOG_MODE}
								{if ($product.quantity > 0 OR $product.allow_oosp)}
								<a class="exclusive ajax_add_to_cart_button" rel="ajax_id_product_{$product.id_product}" href="{$link->getPageLink('cart.php')}?qty=1&amp;id_product={$product.id_product}&amp;token={$static_token}&amp;add" title="{l s='Add to cart' mod='homefeatured'}">{l s='Add to cart' mod='homefeatured'}</a>
							{else}
								<span class="exclusive">{l s='Add to cart' mod='homefeatured'}</span>
							{/if}
							{else}
								<div style="height:23px;"></div>
							{/if}
					</div>
					{if !($smarty.foreach.homeFeaturedProducts.iteration > ($smarty.foreach.homeFeaturedProducts.total - $mod))}<hr class="dotted">{/if}
				</li>
			{/foreach}
			</ul>
	{else}
		<p>{l s='No featured products' mod='homefeatured'}</p>
	{/if}
</div>
<!-- /MODULE Home Featured Products -->
